Skip to content

我的场景 ​

我的场景模块,推荐场景,区分个人场景/项目场景

GET 查询我的场景列表(个人场景/项目场景) ​

GET /admin/api/scene/v1.0.0/pageListByUser

请求参数 ​

名称位置类型必选说明
queryTypequerystring是1 个人场景 2项目场景
currentquerystring是页码
sizequerystring是每页数量
Authorizationheaderstring是none

返回示例

json
{
  "code": 0,
  "msg": null,
  "data": {
    "records": [
      {
        "id": "54db0b479134da6ba03c9a1a052db6c2",
        "projectId": "as9785f8e134da071062a1549c43b295",
        "title": "我的场景",
        "keyWord": "",
        "coverImg": "image/0286df7c-957a-4015-9b4a-845210c28e2f.jpg",
        "logoImg": "",
        "description": "",
        "viewCount": 0,
        "exampleId": "",
        "sceneStatus": "2",
        "viewPoint": "{\"viewImg\":\"\"}",
        "sceneScope": null,
        "owner": null,
        "createBy": "admin",
        "createDate": "2025-01-10 11:23:16",
        "updateBy": null,
        "updateDate": "2025-01-10 11:23:16",
        "remarks": null,
        "delFlag": "0",
        "createByName": "管理员",
        "powers": null,
        "teamName": null,
        "teamPay": "0",
        "shareNumber": 0,
        "layerNumber": 0,
        "shortUrl": null,
        "templateId": "1",
        "isRecommend": null,
        "recommendTime": null,
        "recommendUser": null
      }
    ],
    "total": 1,
    "size": 10,
    "current": 1,
    "pages": 1
  },
  "ok": true
}

返回结果 ​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构 ​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgnulltruenonenone
» dataobjecttruenonenone
»» records[object]truenonenone
»»» idstringfalsenone场景ID
»»» projectIdstringfalsenone所属项目ID
»»» titlestringfalsenone场景标题
»»» keyWordstringfalsenonenone
»»» coverImgstringfalsenone封面图
»»» logoImgstringfalsenonelogo
»»» descriptionstringfalsenone描述
»»» viewCountintegerfalsenonenone
»»» exampleIdstringfalsenonenone
»»» sceneStatusstringfalsenonenone
»»» viewPointstringfalsenonenone
»»» sceneScopenullfalsenonenone
»»» ownernullfalsenonenone
»»» createBystringfalsenonenone
»»» createDatestringfalsenonenone
»»» updateBynullfalsenonenone
»»» updateDatestringfalsenonenone
»»» remarksnullfalsenonenone
»»» delFlagstringfalsenonenone
»»» createByNamestringfalsenonenone
»»» powersnullfalsenonenone
»»» teamNamenullfalsenonenone
»»» teamPaystringfalsenonenone
»»» shareNumberintegerfalsenonenone
»»» layerNumberintegerfalsenonenone
»»» shortUrlnullfalsenonenone
»»» templateIdstringfalsenonenone
»»» isRecommendnullfalsenonenone
»»» recommendTimenullfalsenonenone
»»» recommendUsernullfalsenonenone
»» totalintegertruenonenone
»» sizeintegertruenonenone
»» currentintegertruenonenone
»» pagesintegertruenonenone
» okbooleantruenonenone

GET 推荐场景到首页 ​

GET /admin/api/scene/v1.0.0/recommend

请求参数 ​

名称位置类型必选说明
sceneIdquerystring是场景ID
Authorizationheaderstring是none

返回示例

json
{
  "code": 0,
  "msg": null,
  "data": null,
  "ok": true
}

返回结果 ​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构 ​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgnulltruenonenone
» datanulltruenonenone
» okbooleantruenonenone

GET 取消推荐场景 ​

GET /admin/api/scene/v1.0.0/rescind/recommend

请求参数 ​

名称位置类型必选说明
sceneIdquerystring是none
Authorizationheaderstring是none

返回示例

json
{
  "code": 0,
  "msg": null,
  "data": null,
  "ok": true
}

返回结果 ​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构 ​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgnulltruenonenone
» datanulltruenonenone
» okbooleantruenonenone

GET 推荐场景列表 ​

GET /admin/api/scene/v1.0.0/recommendList

返回字段同场景列表

请求参数 ​

名称位置类型必选说明
Authorizationheaderstring是none

返回示例

json
{
  "code": 0,
  "msg": null,
  "data": {
    "records": [
      {
        "id": "54db0b479134da6ba03c9a1a052db6c2",
        "projectId": "as9785f8e134da071062a1549c43b295",
        "title": "我的场景",
        "keyWord": "",
        "coverImg": "image/0286df7c-957a-4015-9b4a-845210c28e2f.jpg",
        "logoImg": "",
        "description": "",
        "viewCount": 0,
        "exampleId": "",
        "sceneStatus": "2",
        "viewPoint": "{\"viewImg\":\"\"}",
        "sceneScope": null,
        "owner": null,
        "createBy": "admin",
        "createDate": "2025-01-10 11:23:16",
        "updateBy": null,
        "updateDate": "2025-01-10 11:23:16",
        "remarks": null,
        "delFlag": "0",
        "createByName": "管理员",
        "powers": null,
        "teamName": null,
        "teamPay": "0",
        "shareNumber": 0,
        "layerNumber": 0,
        "shortUrl": null,
        "templateId": "1",
        "isRecommend": 1,
        "recommendTime": "2025-01-10 14:16:39",
        "recommendUser": "admin"
      }
    ],
    "total": 1,
    "size": 10,
    "current": 1,
    "pages": 1
  },
  "ok": true
}

返回结果 ​

状态码状态码含义说明数据模型
200OKnoneInline

返回数据结构 ​

状态码 200

名称类型必选约束中文名说明
» codeintegertruenonenone
» msgnulltruenonenone
» dataobjecttruenonenone
»» records[object]truenonenone
»»» idstringfalsenonenone
»»» projectIdstringfalsenonenone
»»» titlestringfalsenonenone
»»» keyWordstringfalsenonenone
»»» coverImgstringfalsenonenone
»»» logoImgstringfalsenonenone
»»» descriptionstringfalsenonenone
»»» viewCountintegerfalsenonenone
»»» exampleIdstringfalsenonenone
»»» sceneStatusstringfalsenonenone
»»» viewPointstringfalsenonenone
»»» sceneScopenullfalsenonenone
»»» ownernullfalsenonenone
»»» createBystringfalsenonenone
»»» createDatestringfalsenonenone
»»» updateBynullfalsenonenone
»»» updateDatestringfalsenonenone
»»» remarksnullfalsenonenone
»»» delFlagstringfalsenonenone
»»» createByNamestringfalsenonenone
»»» powersnullfalsenonenone
»»» teamNamenullfalsenonenone
»»» teamPaystringfalsenonenone
»»» shareNumberintegerfalsenonenone
»»» layerNumberintegerfalsenonenone
»»» shortUrlnullfalsenonenone
»»» templateIdstringfalsenonenone
»»» isRecommendintegerfalsenonenone
»»» recommendTimestringfalsenonenone
»»» recommendUserstringfalsenonenone
»» totalintegertruenonenone
»» sizeintegertruenonenone
»» currentintegertruenonenone
»» pagesintegertruenonenone
» okbooleantruenonenone

Released under the MIT License.